Eigen & Matrix: To Matrix (project columns)...

A command to project the columns of the Matrix object onto the eigenspace of the Eigen object.

## Setting

Number of dimensions
  defines the dimension, i.e., the number of rows, of the resulting Matrix object.

## Algorithm

Project each column of the Matrix on the coordinate system given by the eigenvectors of the Eigen object. This can be done as follows:

yij = Σk=1..dimension eik zkj, where

yij is the j-th element of the i-th row of the result, eik is the k-th element of the i-th eigenvector, zkj is the k-th element of the j-th column of the selected Matrix object, and dimension is the number of elements in an eigenvector.